Release information
Advanced Identity Cloud tenant environments each provide the following information about their status in the release process:
-
The current release version for that environment. This is available in all tenant environments.
-
The date and time of the next scheduled regular channel release to that environment. This is available in tenant environments that share promoted configuration (development, UAT[1], staging, and production).
View release information using the admin console
The easiest way to view release information about your tenant environments is to use the admin console.
-
In the Advanced Identity Cloud admin console, open the TENANT menu (upper right), then go to Tenant Settings > Details.
-
View the current release version under Identity Cloud Version.
You can also view the release version in the page footnotes at the bottom of most admin console pages, excluding editors (for example, the journey or hosted pages editors).
-
View the next regular channel release date and time in the banner at the top of the page.
View release information using the API
You can use the API to view release information about your tenant environments. You might want to do this for these reasons:
-
To create monitoring alerts when release information changes.
-
To track the release information of your tenant environments in a single dashboard.
-
To track the 7-day release deferral period for the next regular channel release to your production environment.
Release API endpoint
Advanced Identity Cloud provides the Release API endpoint to let you track release information.
Authenticate to the release API endpoint
To authenticate to the release API endpoint, use an access token created with the following scope:
| Scope | Description |
|---|---|
|
Full access to the release API endpoint. |
View release information in JSON format
You can view the release information in JSON format in any tenant environment:
-
Get an access token created with the
fr:idc:release:*scope. -
Get the release information from the
/environment/releaseendpoint:$ curl \ --request GET 'https://<tenant-env-fqdn>/environment/release' \(1) --header 'Authorization: Bearer <access-token>' (2)1 Replace <tenant-env-fqdn> with the FQDN of your tenant environment. 2 Replace <access-token> with with your service account access token. -
The response format depends on the type of tenant environment:
-
For sandbox[2] environments:
{ "currentVersion": "15374.0", (1) }1 The current release version of the tenant environment. -
For environments that share promoted configuration (development, UAT[1], staging, and production):
{ "currentVersion": "15158.7", (1) "nextUpgrade": "2024-10-29T14:00:00Z" (2) }1 The current release version of the tenant environment. 2 The date and time of the next scheduled regular channel release to the tenant environment, taking into account your 7-day release deferral period.
-
View release information in RSS format
You can view the release information in RSS format in your development, UAT[1], staging, and production environments:
-
Get the release information from the
/environment/release-rssendpoint:Request$ curl -G \ --request GET 'https://<tenant-env-fqdn>/environment/release-rss' \(1) --data-urlencode 'authtoken=<authentication-token>'(2)1 Replace <tenant-env-fqdn> with the FQDN of your tenant environment. 2 Replace <authentication-token> with the RSS authentication token. For example, 788532eaaf************960cf8525d.2017e8e002********************************************7dcc3c37a4.Response<?xml version="1.0" encoding="UTF-8"?> <rss version="2.0"> <channel> <title>PingOne Advanced Identity Cloud Release Notes</title> <link>https://docs.pingidentity.com/pingoneaic/release-notes/</link> <description>Release notifications for this tenant</description> <item> <title>Release 23453.4</title> (1) <link>https://docs.pingidentity.com/pingoneaic/release-notes/regular-channel/version-23453.4.html</link> (2) <description>Release 23453.4</description> <pubDate>Tue, 15 Sep 2026 13:00:00 +0000</pubDate> (3) </item> <item>...</item> (4) <item>...</item> (4) </channel> </rss>1 The current release version of the tenant environment. 2 The link to the release notes for the current release version. 3 The date and time that the environment was upgraded to the current release version. 4 Previous release versions.
Create an RSS feed key and authentication token
To create an RSS feed key and generate an authentication token:
-
Get an access token created with the
fr:idc:release:*scope. -
Run the following command:
Request$ curl \ --request POST 'https://<tenant-env-fqdn>/environment/release-rss/keys' \(1) --header 'Accept-API-Version: resource=1.0' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <access-token>' \(2) --data-raw '{"name": "<rss-key-name>"}'(3)1 Replace <tenant-env-fqdn> with the FQDN of your tenant environment. 2 Replace <access-token> with your service account access token. 3 Replace <rss-key-name> with a suitable name for the RSS feed key. For example, rss-key-uat-1orrss-key-prod-1. This parameter is optional. If you do not provide a name, the system generates one for you.Response{ "apiKeyId": "cb3510acec************ed64680df2", (1) "createdAt": "2026-09-28T18:34:21.804Z", "name": "rss-key-prod-1", "token": "788532eaaf************960cf8525d.2017e8e002********************************************7dcc3c37a4" (2) }1 The RSS feed key’s ID. 2 The RSS feed key’s authentication token. Make a note of it as you’ll need it to access the RSS feed for your tenant environment. The authentication token is only shown when the key is created, and you can’t retrieve it later.
Get all RSS feed keys
To retrieve all RSS feed keys for your tenant environment:
-
Get an access token created with the
fr:idc:release:*scope. -
Run the following command:
Request$ curl \ --request GET 'https://<tenant-env-fqdn>/environment/release-rss/keys' \(1) --header 'Accept-API-Version: resource=1.0' \ --header 'Authorization: Bearer <access-token>'(2)1 Replace <tenant-env-fqdn> with the FQDN of your tenant environment. 2 Replace <access-token> with your service account access token. Response[ { "apiKeyId": "af2a41b5bef************03c661bb1e", "createdAt": "2026-09-28T18:34:39.788Z", "name": "rss-key-prod-2" }, { "apiKeyId": "cb3510acec************ed64680df2", "createdAt": "2026-09-28T18:34:21.804Z", "name": "rss-key-prod-1" } ]
Get an RSS feed key
To retrieve a specific RSS feed key:
-
Get an access token created with the
fr:idc:release:*scope. -
Run the following command:
Request$ curl \ --request GET 'https://<tenant-env-fqdn>/environment/release-rss/keys/<api-key-id>' \(1)(2) --header 'Accept-API-Version: resource=1.0' \ --header 'Authorization: Bearer <access-token>'(3)1 Replace <tenant-env-fqdn> with the FQDN of your tenant environment. 2 Replace <api-key-id> with the ID of the RSS feed key you want to retrieve. For example, cb3510acec************ed64680df2.3 Replace <access-token> with your service account access token. Response{ "apiKeyId": "cb3510acec************ed64680df2", "createdAt": "2026-09-28T18:34:21.804Z", "name": "rss-key-prod-1" }
Delete an RSS feed key
To delete an RSS feed key:
-
Get an access token created with the
fr:idc:release:*scope. -
Run the following command:
Request$ curl \ --request DELETE 'https://<tenant-env-fqdn>/environment/release-rss/keys/<api-key-id>' \(1)(2) --header 'Accept-API-Version: resource=1.0' \ --header 'Authorization: Bearer <access-token>'(3)1 Replace <tenant-env-fqdn> with the FQDN of your tenant environment. 2 Replace <api-key-id> with the ID of the RSS feed key you want to delete. For example, cb3510acec************ed64680df2.3 Replace <access-token> with your service account access token. ResponseThe request returns a
204 No Contentresponse if the RSS feed key is successfully deleted.